Version 4.0.26.22 (latest)

### Create a new task to render a dashboard element to an image.

Returns a render task object.
To check the status of a render task, pass the render_task.id to [Get Render Task](https://docs.cloud.google.com/looker/docs/reference/looker-api/latest/methods/RenderTask/get_render_task).
Once the render task is complete, you can download the resulting document or image using [Get Render Task Results](https://docs.cloud.google.com/looker/docs/reference/looker-api/latest/methods/RenderTask/get_render_task_results).

## Request

POST /render_tasks/dashboard_elements/{dashboard_element_id}/{result_format} Datatype Description Request HTTP Request path HTTP Path Expand HTTP Path definition... dashboard_element_id string Id of dashboard element to render: UDD dashboard element would be numeric and LookML dashboard element would be model_name::dashboard_title::lookml_link_id result_format string Output type: png or jpg query HTTP Query Expand HTTP Query definition... width integer Output width in pixels height integer Output height in pixels fields string Requested fields.

## Response

### 200: Render Task

Datatype Description (object) [RenderTask](https://docs.cloud.google.com/looker/docs/reference/looker-api/latest/types/RenderTask) can object Operations the current user is able to perform on this object created_at string Date/Time render task was created dashboard_filters string Filter values to apply to the dashboard queries, in URL query format dashboard_id string Id of dashboard to render dashboard_style string Dashboard layout style: single_column or tiled finalized_at string Date/Time render task was completed height integer Output height in pixels. Flowed layouts may ignore this value. id string Id of this render task look_id string Id of look to render lookml_dashboard_id string Id of lookml dashboard to render query_id string Id of query to render dashboard_element_id string Id of dashboard element to render: UDD dashboard element would be numeric and LookML dashboard element would be model_name::dashboard_title::lookml_link_id query_runtime number Number of seconds elapsed running queries render_runtime number Number of seconds elapsed rendering data result_format string Output format: pdf, png, or jpg runtime number Total seconds elapsed for render task status string Render task status: enqueued_for_query, querying, enqueued_for_render, rendering, success, failure status_detail string Additional information about the current status user_id string The user account permissions in which the render task will execute width integer Output width in pixels

### 400: Bad Request

Datatype Description (object) [Error](https://docs.cloud.google.com/looker/docs/reference/looker-api/latest/types/Error) message string Error details documentation_url string Documentation link

### 404: Not Found

Datatype Description (object) [Error](https://docs.cloud.google.com/looker/docs/reference/looker-api/latest/types/Error) message string Error details documentation_url string Documentation link

### 409: Resource Already Exists

Datatype Description (object) [Error](https://docs.cloud.google.com/looker/docs/reference/looker-api/latest/types/Error) message string Error details documentation_url string Documentation link

### 422: Validation Error

Datatype Description (object) [ValidationError](https://docs.cloud.google.com/looker/docs/reference/looker-api/latest/types/ValidationError) message string Error details errors [ValidationErrorDetail](https://docs.cloud.google.com/looker/docs/reference/looker-api/latest/types/ValidationErrorDetail)\[\] Expand ValidationErrorDetail definition... field string Field with error code string Error code message string Error info message documentation_url string Documentation link documentation_url string Documentation link

### 429: Too Many Requests

Datatype Description (object) [Error](https://docs.cloud.google.com/looker/docs/reference/looker-api/latest/types/Error) message string Error details documentation_url string Documentation link